<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			FX Requested List</h1>
			
		</header>
		
		<div class="row">
			
			<div class="12u$ 12u$(medium)">
			<span id="status"></span>
			</div>
			<div class="6u 12u$(small)">
				<select id="cbSearch" data-bind="options: lovStatus,
						   optionsText: 'description',
						   optionsValue: 'code',
						   optionsCaption: 'Choose Status...'" required>
				</select>
			</div>
			<div class="6u$ 12u$(small)">
				<a href="#" class="button default icon fa-search" data-bind="click: searchButtonAction">Search</a>
			</div>
			<div class="12u$ 12u$(medium)">
				<hr/>
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-table id="formMList" aria-label="Pending FX Request"
					data='[[paginDataSource]]' 
					display='grid'
					selection-mode='{"row": "single"}'
					columns-default='{"sortable": "enabled"}' 
					columns='[
							  {"headerText": "Form Number",  "field": "formid", "style": "width: 15%"},
							   
							  {"headerText": "Form-M Number", "field": "formMNumber", "style": "width: 20%"},
							  
							  {"headerText": "Application Number",  "field": "applicationNumber", "style": "width: 20%"},
							  
							  {"headerText": "Amount ($)", "field": "amount", "style": "width: 5%"},
							   
							  {"headerText": "Requested By", "field": "actionBy", "style": "width: 15%"},
							  
							  {"headerText": "Requested Date", "field": "requestDate", "style": "width: 15%"}
							   
							  ]' 
					style='width: 100%;'>
					<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='5' slot='bottom'>
					</oj-paging-control>
				</oj-table>
			</div>
			<div class="6u$ 12u$(medium)">
				<div class="row ">
					
					<div class="12u$ 12u$(small)">
						<p></p>
					</div>
					<div class="6u 12u$(small)">
						<a href="#" class="button default fit small" data-bind="click: editButtonAction">View Selected</a>
						
						<!-- <button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: editButtonAction,
								   ojComponent: { component: 'ojButton', label: 'Edit Selected Form M' }">
						</button> -->
					</div>
					<!--
					<div class="6u$ 12u$(small)">
						<a href="#" class="button alt fit small" data-bind="click: newButtonAction">New Form M</a>
					</div>
					-->
				</div>
			</div>
			
		</div>
	</div>
</section>


